Bug 254058 - Review Request: e16-themes - Themes for Enlightenment, DR16
Review Request: e16-themes - Themes for Enlightenment, DR16
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On: 254056
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-23 16:38 EDT by Terje Røsten
Modified: 2008-04-30 12:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-30 12:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2007-08-23 16:38:09 EDT
Spec URL: http://terjeros.fedorapeople.org/e16/e16-themes.spec
SRPM URL: http://terjeros.fedorapeople.org/e16/e16-themes-0.16.8.0.1-1.fc8.src.rpm
Description:
The BlueSteel, BrushedMetal-Tigert, Ganymede, and ShinyMetal themes
for Enlightenment, DR16.
Comment 1 Terje Røsten 2008-03-27 15:06:41 EDT
#254056 fixed, we want more (see #254056 for license):

spec: http://terjeros.fedorapeople.org/e16/e16-themes.spec
srpm: http://terjeros.fedorapeople.org/e16/e16-themes-0.16.8.0.2-1.fc8.src.rpm
Comment 2 Kevin Fenzi 2008-04-28 22:04:10 EDT
I would be happy to review this package. Look for a full review here in a few. 
Comment 3 Kevin Fenzi 2008-04-28 22:15:29 EDT
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (MIT with advertising)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
20fbaff803c3decdf3ac7c363b37c42e  e16-themes-0.16.8.0.2.tar.gz
20fbaff803c3decdf3ac7c363b37c42e  e16-themes-0.16.8.0.2.tar.gz.orig
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.
OK - Package has rm -rf RPM_BUILD_ROOT at top of %install

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version

Issues:

1. As per usual, you might ask upstream to relicense. ;)

2. rpmlint says:

e16-themes.noarch: E: zero-length
/usr/share/e16/themes/BlueSteel/slideouts/slideouts.cfg
e16-themes.noarch: E: zero-length
/usr/share/e16/themes/BlueSteel/buttons/buttons.cfg
e16-themes.noarch: E: zero-length
/usr/share/e16/themes/BrushedMetal-Tigert/buttons/buttons.cfg
e16-themes.noarch: E: zero-length
/usr/share/e16/themes/BrushedMetal-Tigert/slideouts/slideouts.cfg
e16-themes.noarch: E: zero-length /usr/share/e16/themes/BlueSteel/sound/sound.cfg

I am guessing that these zero-length files are needed?
If not, it would be nice not to ship them... can you confirm?

e16-themes.noarch: W: invalid-license MIT with advertising
e16-themes.src: W: invalid-license MIT with advertising

Ignore.

None of those are really blockers.
If you can check on the zero-length files and ping upstream before
importing that would be great.

This package is APPROVED.
Comment 4 Terje Røsten 2008-04-29 13:12:29 EDT
> None of those are really blockers.
> If you can check on the zero-length files and ping upstream before
> importing that would be great.

I tried with the winter theme in e16 proper package and got a freeze,
seems like they are really needed.

> This package is APPROVED.

Thanks!

New Package CVS Request
=======================
Package Name: e16-themes
Short Description: Themes for Enlightenment, DR16
Owners: terjeros
Branches: F-7 F-8 F-9
InitialCC:
Cvsextras Commits: yes

Comment 5 Kevin Fenzi 2008-04-29 19:06:55 EDT
cvs done.
Comment 6 Terje Røsten 2008-04-30 12:49:33 EDT
Thanks for the help Kevin!

Pushed to bodhi for f7-9, built for rawhide.

Note You need to log in before you can comment on or make changes to this bug.